Skip to main content
PATCH
Update a Label

Authorizations

X-BB-API-Key
string
header
required

Path Parameters

labelId
string<uuid>
required

The label's identifier.

Body

application/json
name
string
required

Label name. Browserbase trims surrounding Unicode whitespace and preserves display capitalization. The trimmed name must contain 1–128 Unicode characters and no NUL characters. Names are unique ignoring case within the project.

Response

The renamed label.

A project-owned session label.

id
string<uuid>
required

Stable identifier of the label.

projectId
string<uuid>
required

The project that owns the label.

name
string
required

Display name, unique ignoring case within the project.

createdAt
string<date-time>
required

UTC timestamp when the label was created.

updatedAt
string<date-time>
required

UTC timestamp when the label was last renamed.